Page MenuHomePhabricator

Adding "Adress data switch" to Laika skin
Closed, ResolvedPublic8 Estimate Story Points

Description

Want need to be done?
We want to introduce a new section to the adress form. This section intends to guide the user to the form beginning. Also, this section is considered as a major user decision switch for the following journey. We want to ask the user first if he/she wants to submit adress data. This new section should be replace the option “ohne Adressdaten” in the section “Spenden als” and could be designed according to its variation in the banner design in Figma(Title “with Spendenbescheinigung)

General Layout:

Toggle with hint:


Event Timeline

tmletzko created this task.Sep 30 2019, 9:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2019, 9:42 AM
Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptSep 30 2019, 9:54 AM

This is for an A/B test on Oct 9th: 2 versions of Laika would be tested: one w/o this feature and one with it.

Tobi_WMDE_SW set the point value for this task to 8.Sep 30 2019, 10:47 AM
gabriel-wmde moved this task from Todo to Doing on the WMDE-FUN-Sprint-2019-09-30 board.

additional information on user behavior

  • When people chose Lastschrift on the banner the radio button “Nein” is disabled on the respective form section of the landingpage and the following text is displayed initially: “Für Lastschriften ist die Angabe einer Adresse erforderlich.”
  • When people click “Nein” on the respective form section of the landingpage first, and afterwards try to change the payment option (by clicking "Zahldaten ändern") “Lastschrift” is deactivated and a notice is displayed: “Für Lastschriften ist die Angabe einer Adresse erforderlich.” If the user changes the submission of adress data to “Ja”, Lastschrift is activated again.

Please ask UX for help on integrating the notice texts.

Please add more scenarios if the description is not sufficient.

Jan_Dittrich updated the task description. (Show Details)Oct 2 2019, 12:13 PM
Jan_Dittrich updated the task description. (Show Details)
Jan_Dittrich updated the task description. (Show Details)Oct 2 2019, 12:16 PM

two remarks:

  1. If you click on “Nein” the notice “Bitte beachten Sie, dass wir Ihnen ohne Adressdaten keine Zuwendungsbescheinigung ausstellen können.” is being displayed (like on CTRL if you click “ohne Adressdaten”)
  2. The default of the section is “Ja”, so the adress form is being displayed initially (like it is displayed on CTRL)

hi @gabriel-wmde thanks! Some remarks:

  • In the ux jf last week we agreed that the Radio-Buttons of Privatperson/Firma and Herr/Frau are supposed to remain vertically arranged. The horizontal arrangement would be part of the next skin test. Can you please change that? (Sorry that this was not communicated properly!).
  • There seem to be missing space characters in the lower summary box. Or is this because of test.spenden?
  • I think the behaviour is not correct yet when someone chooses to donate without address and afterwards changes the donation information to lastschrift. At the moment BEZ is still possible after choosing donation without address. See Tills comment above (Mon, Sep 30, 1:51 PM) for how the behaviour should be.
gabriel-wmde removed gabriel-wmde as the assignee of this task.Oct 10 2019, 4:40 PM
gabriel-wmde moved this task from Doing to Done on the WMDE-FUN-Sprint-2019-09-30 board.
gabriel-wmde added a subscriber: gabriel-wmde.
gabriel-wmde closed this task as Resolved.Fri, Jan 10, 8:37 AM
gabriel-wmde claimed this task.